<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
    
    <style>
        .cuadrito{
            width: 100px;
            height: 100px;
            background: black;
            border: 1px solid green;
            position: absolute;
            right: 0px;
            top: 0px;
        }
    </style>
</head>
<body>
    <div class="cuadrito"></div>
    
    <script>
        var cuadrito=document.getElementsByClassName('cuadrito')[0]
        var cuadrito2=document.getElementsByClassName('cuadrito')[0]
        
        cuadrito.addEventListener('click', /*function()*/moverCuadrito
           // alert('despues de esto se deberia mover el cuadrito')
            //cambiar las propiedades de cuadrito
           // var leftRandom = obtenerNumeroAleatorio(1,500)
           // cuadrito.style = 'left: ' + leftRandom + 'px;'
            
            //var topRandom = obtenerNumeroAleatorio(1,300)
            //cuadrito.style = 'top: ' + topRandom + 'px;'
        )
        
        
        
        function obtenerNumeroAleatorio (numeroMinimo, numeroMaximo){
            return Math.floor(Math.random() * numeroMaximo) + numeroMinimo
        }
        
        
        
        
        
        function moverCuadrito(){
            var leftRandom = obtenerNumeroAleatorio(1,500)
            var topRandom = obtenerNumeroAleatorio(1,500)
            cuadrito.style = 'left: ' + leftRandom + 'px;' + 'top: ' + topRandom + 'px;'
        }
        
        
        
        setTimeout(moverCuadrito,2000)
        
        //cuadrito se mueve despues de 2 segundos
       /* setTimeout(function(){
            var leftRandom = obtenerNumeroAleatorio(1,500)
            cuadrito.style = 'left: ' + leftRandom + 'px;'
        },2000)*/
        
        
        
        //setinterval
        
       // setInterval(moverCuadrito,100)
        
        
        
        
        
        setInterval(epilepsia, 300)
        
        function epilepsia() {
            var body= document.getElementsByTagName('body')[0]
            var colores = ["green","red","orange","black","blue","yellowgreen","white"]
            var colorAleatorio= obtenerNumeroAleatorio(0,colores.length)
            
            body.style="background-color:"+colorAleatorio[colorAleatorio]
        }
        
        
        
    </script>
</body>
</html>
